'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var root = '/domains/';

var DomainDns = function () {
	/**
  * `DomainDns` constructor.
  *
  * @param {String} domainId - domain identifier
  * @param {WPCOM} wpcom - wpcom instance
  * @return {Undefined} undefined
  */
	function DomainDns(domainId, wpcom) {
		(0, _classCallCheck3.default)(this, DomainDns);

		if (!(this instanceof DomainDns)) {
			return new DomainDns(domainId, wpcom);
		}

		this._domain = domainId;
		this._subpath = root + this._domain + '/dns';
		this.wpcom = wpcom;
	}

	/**
  * Adds a DNS record
  *
  * @param {Object} record - record
  * @param {Object} [query] - query object parameter
  * @param {Function} fn - callback function
  * @return {Function} request handler
  */


	(0, _createClass3.default)(DomainDns, [{
		key: 'add',
		value: function add(record, query, fn) {
			if ('function' === typeof query) {
				fn = query;
				query = {};
			}

			return this.wpcom.req.post(this._subpath + '/add', query, record, fn);
		}

		/**
   * Delete a DNS record
   *
   * @param {String} record - record
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @return {Function} request handler
   */

	}, {
		key: 'delete',
		value: function _delete(record, query, fn) {
			return this.wpcom.req.post(this._subpath + '/delete', query, record, fn);
		}
	}]);
	return DomainDns;
}();

/**
 * Expose `DomainDns` module
 */


exports.default = DomainDns;
module.exports = exports['default'];

//# sourceMappingURL=domain.dns.js.map